All docs This doc
||
Skip to end of metadata
Go to start of metadata

The API Manager tooling plug-in gives the capabilities of a complete Eclipse-based development environment for the API Manager. You can develop services, features, and artifacts, and manage their links and dependencies through a simplified graphical editor.

You can install multiple WSO2 product tooling plug-ins on top of the same Eclipse instance.

WSO2 API Manager supports OpenJDK as well as Oracle JDK. By default, some MacOS versions are shipped with JDK 1.9 or newer, which is not compatible with WSO2 API-M Tooling. Hence, you need to override it by installing Oracle JDK 1.8 and updating the folder path of the JDK 1.8 distribution in the Eclipse distribution when installing WSO2 API-M Tooling.

For example, if you are using MacOS High Sierra (Version 10.13.4) with Oracle JDK 1.8.0_151, add the following properties to the <ECLIPSE_HOME>/Contents/Info.plist file.

<string>-vm</string>
<string><JAVA_HOME>/Contents/Home/bin/java</string>
<string>-vm</string>
<string>/Library/Java/JavaVirtualMachines/jdk1.8.0_151.jdk/Contents/Home/bin/java</string>

There are 2 possible methods you can use to install the tooling plug-in.

Install the plug-in with pre-packaged Eclipse

On the API Manager tooling page, click DOWNLOAD under Developer Studio and click the respective link under Full Distribution to download the distribution according to your operating system. Note that you are prompted to enter your email address here.  

Install the plug-in on Eclipse Oxygen using the P2 URL

  1. Make sure you have Eclipse IDE for Java EE Developers (Oxygen 3A) installed.

    Note that its recommended to use Eclipse Oxygen, since the plug-in has been tested on this version.

  2. Open Eclipse and on the Help menu click Install New Software.
  3. Click Add in the dialog box that appears.
  4. Add the repository by entering API-M Tool as the name and http://product-dist.wso2.com/p2/developer-studio-kernel/4.3.0/apim-tools/releases/2.5.0/ as the location and click OK.

    Note that the 2.5.0 API-M tooling release is compatible with API-M 2.6.0 as well.

  5. Select the required software and click Next.
    Select WSO2 API Manager Tools and WSO2 ESB Tools check box. You need to install the WSO2 ESB Tools as WSO2 API-M tooling totally depends on WSO2 Enterprise Service Bus (WSO2 ESB).

    If you are using a fresh instance of Eclipse with no other WSO2 product tooling plug-ins installed, you need to select the Developer Studio checkboxes as well.

  6. Review the items to be installed and click Next.

  7. Read and accept the license agreements and click Finish.

  8. If a security warning appears saying that the authenticity or validity of the software cannot be established, click OK.

  9. Select the WSO2 Developer Studio related certificates and click OK.

  10. Click OK to restart Eclipse to complete the installation.
  • No labels